# CookieOptions | @supabase/supabase-js
Documentation for @supabase/supabase-js

### Hierarchy

- CookieOptions

## Index

### Properties

- domain
- lifetime
- name
- path
- sameSite

## Properties

### Optional domain

domain?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:134

### Optional lifetime

lifetime?: number

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:133

### Optional name

name?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:132

### Optional path

path?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:135

### Optional sameSite

sameSite?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:136

Generated using TypeDoc